Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Robert Pluim <[email-masked]>
Date: Mon, 22 Jul 2019 10:14:47 +0200

>>>>> On Mon, 22 Jul 2019 03:58:29 +0000, Pip Cet <[email-masked]> said:

    Pip> On Sun, Jul 21, 2019 at 8:20 PM Robert Pluim <[email-masked]> wrote:
    Pip> Can you try again with this incremental patch?
    >> 
    >> I offer two alternatives, both of which build and run:

    Pip> Oops, sorry. I think the second alternative might break
    Pip> live_vector_holding, though?

OK. Hereʼs hoping no other code in emacs tries to create a 0-length
vector :-)

    Pip> Attaching an updated patch.

I put this on top of it. The result builds, runs, and is sending this
email.

diff --git i/src/image.c w/src/image.c
index 355c849491..b21dff34d4 100644
--- i/src/image.c
+++ w/src/image.c
@@ -4596,7 +4596,7 @@ xpm_make_color_table_h (void (**put_func) (Lisp_Object, const char *, int,
   *get_func = xpm_get_color_table_h;
   return make_hash_table (hashtest_equal, DEFAULT_HASH_SIZE,
 			  DEFAULT_REHASH_SIZE, DEFAULT_REHASH_THRESHOLD,
-			  Qnil, false);
+			  Qnil);
 }
 
 static void